# module Raven::ActiveSupportBreadcrumbs

### Public Class Methods

add(name, started, _finished, _unique_id, data) click to toggle source

    # File lib/raven/breadcrumbs/activesupport.rb, line 4
    def add(name, started, _finished, _unique_id, data)
      Raven.breadcrumbs.record do |crumb|
        crumb.data = data
        crumb.category = name
        crumb.timestamp = started.to_i
      end
    end

inject() click to toggle source

    # File lib/raven/breadcrumbs/activesupport.rb, line 12
    def inject
      ActiveSupport::Notifications.subscribe(/.*/) do |name, started, finished, unique_id, data|
        add(name, started, finished, unique_id, data)
      end
    end